{config, ...}: {
  sops.secrets."wireless.env" = {};
  networking.wireless = {
    enable = true;
    userControlled.enable = true;
    environmentFile = config.sops.secrets."wireless.env".path;
    networks = {
      "@home_uuid@" = {
        psk = "@home_psk@";
      };
      "@par_uuid@" = {
        psk = "@par_psk@";
      };
      "@luhbots_uuid@" = {
        psk = "@luhbots_psk@";
      };
      eduroam = {
        auth = ''
          key_mgmt=WPA-EAP
          eap=PWD
          identity="@eduroam_ident@"
          password="@eduroam_psk@"
        '';
      };
    };
  };
  users.extraUsers.max.extraGroups = ["wheel"];
}
